PrinterQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.PrinterQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface PrinterQueue

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface PrinterQueue

extends LogicalElement

A printer queue

Author:
  yan
Naming Rules:
  0="parent,queueName" 1="managedSystemName"
Persistable:
  true
Table Name:
  PRINTQ
Display Name:
  queueName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`Printer` | `getParent()` Printer containing this queue
`java.lang.String` | `getQueueName()` Name of this queue
`boolean` | `hasParent()`
`boolean` | `hasQueueName()`
`void` | `setParent(Printer parent)`
`void` | `setQueueName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    Printer getParent()
                      throws AttributeNotSetException

  Printer containing this queue

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(Printer parent)

### hasParent

    boolean hasParent()

### getQueueName

    java.lang.String getQueueName()
                                  throws AttributeNotSetException

  Name of this queue

  Throws:
    `AttributeNotSetException`

### setQueueName

    void setQueueName(java.lang.String s)

### hasQueueName

    boolean hasQueueName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD